<?php

namespace Modules\ContactList\Enums;


Enum ContactStatusEnum: int
{

    case NEW_LEAD = 1;
    case fs_CONTACT_DONE = 2;
    case sc_CONTACT_DONE = 3;
    case FOLLOW_UP = 4;
    case MEET_SCHED = 5;
    case BRIEF_RECIEVED = 6;
    case PROPOSAL_SUBMITTED = 7;
    case COMMENTED_RECIEVED = 8;
    case QUOTATION_SUBMITTED = 9;
    case REVISING_QUOTATION = 10;
    case FINAL_PROPOSAL = 11;
    case PROJECT_WON = 12;
    case PROJECT_LOST = 13;


    public static function values()
    {
        return array_column(SELF::cases(),'value');
    }
}
